#include <stdio.h>
int main ()
{
int  n, i, j,k ;
scanf ("%d",& n);




if ( n<=0) printf ("-1 \n");






for (i=1; i<=n; i++)
{
	for(j=1; j<i; j++)
		printf (" ");
	printf("*");
	for (k=1; k<=n-i; k++)
	printf("-*");


	printf("\n");





}



return 0;

}
